Name:           turtle
Version:        0.13
Release:        1%{?dist}
Summary:        %{sum}

License:        GPL-3.0-or-later
URL:            https://gitlab.gnome.org/philippun1/turtle
Source:         %{url}/-/archive/%{version}/turtle-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  python3-setuptools
BuildRequires:  python3-tox-current-env
BuildRequires:  python3-gobject
BuildRequires:  hicolor-icon-theme
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
# needed at runtime
Requires:       libadwaita

%description
Turtle is a graphical interface for version control intended to run on gnome and nautilus.

%package -n python3-turtlevcs
Summary:        Dialogs for easier version control (Python 3)
%{?python_provide:%python_provide python3-turtlevcs}
Requires:       dbus-common
Requires:       python3-libs
Requires:       python3-gobject
Requires:       python3-gobject-base
Requires:       python3-dbus
Requires:       hicolor-icon-theme

%description -n python3-turtlevcs
Turtle provides dialogs for some git actions, i.e. commit, log, etc.

%package        cli
Summary:        Command line interface for turtle
BuildArch:      noarch
Requires:       python3-turtlevcs = %{version}-%{release}

%description    cli
Turtle CLI provides a command line interface for turtle dialogs.

%package        nautilus
Summary:        Nautilus extension for turtle
BuildArch:      noarch
Requires:       turtle-cli = %{version}-%{release}
Requires:       nautilus-python
Requires:       nautilus

%description    nautilus
Turtle nautilus extension provides emblems and a context menu for Nautilus.

%prep
%autosetup -p1 -n turtle-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l turtlevcs
install -p -m0755 turtle_cli -D %{buildroot}%{_bindir}/turtle_cli
install -p -m0755 turtle_service -D %{buildroot}%{_bindir}/turtle_service
install -p -m0644 data/de.philippun1.turtle.desktop -D %{buildroot}%{_datadir}/applications/de.philippun1.turtle.desktop
install -p -m0644 data/de.philippun1.turtle.service -D %{buildroot}%{_datadir}/dbus-1/services/de.philippun1.turtle.service
install -p -m0644 data/icons/hicolor/scalable/apps/de.philippun1.turtle.svg -D %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/de.philippun1.turtle.svg
install -p -m0644 data/icons/hicolor/symbolic/apps/de.philippun1.turtle-symbolic.svg -D %{buildroot}%{_datadir}/icons/hicolor/symbolic/apps/de.philippun1.turtle-symbolic.svg
install -p -m0644 data/de.philippun1.turtle.gschema.xml -D %{buildroot}%{_datadir}/glib-2.0/schemas/de.philippun1.turtle.gschema.xml
install -p -m0644 data/de.philippun1.turtle.metainfo.xml -D %{buildroot}%{_metainfodir}/de.philippun1.turtle.metainfo.xml
install -p -m0644 plugins/turtle_nautilus.py -D %{buildroot}%{_datadir}/nautilus-python/extensions/turtle_nautilus.py
install -p -m0644 data/man/turtle_cli.1 -D %{buildroot}%{_mandir}/man1/turtle_cli.1
install -p -m0644 data/man/turtle_service.1 -D %{buildroot}%{_mandir}/man1/turtle_service.1

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/de.philippun1.turtle.metainfo.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/de.philippun1.turtle.desktop

%files -n python3-turtlevcs -f %{pyproject_files}
%doc README.md
%{_metainfodir}/de.philippun1.turtle.metainfo.xml
%{_datadir}/icons/hicolor/scalable/apps/de.philippun1.turtle.svg
%{_datadir}/icons/hicolor/symbolic/apps/de.philippun1.turtle-symbolic.svg
%{_datadir}/glib-2.0/schemas/de.philippun1.turtle.gschema.xml
%dir %{_datadir}/nautilus-python

%files cli
%{_bindir}/turtle_cli
%{_bindir}/turtle_service
%{_prefix}/share/applications/de.philippun1.turtle.desktop
%{_prefix}/share/dbus-1/services/de.philippun1.turtle.service
%{_mandir}/man1/turtle_cli.1*
%{_mandir}/man1/turtle_service.1*

%files nautilus
%doc README.md
%{_datadir}/nautilus-python/extensions/turtle_nautilus.py

%changelog
%autochangelog

